%Nodes_4_tSH_IL_tHS.m                                       %2006_04_06  %Ali 

%Representative motif is: Hm 23S IL96 (NTs 2754-2758,2724-2728)
% 2758 G    <cWW (1) >  U 2724    %node5
% 2757 A    <tHS (10)>  G 2725    %node4
% 2756 U (stacked)      U 2726 (bulged) %(NOT A NODE)
% 2755 G    <tSH (10)>  A 2727    %node3
% 2754 G    <cWW (1) >  C 2728    %node2

n=1;
  Node(n).type      = 'Initial';
  Node(n).nextnode  = n+1;
  Node(n).lpar      = 0.05;
  Node(n).rpar      = 0.05;

n=2;% 2754 G    <cWW (1) >  C 2728    %node2
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(1,4,3,0.01);
  Node(n).P         = ones(17,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [(1/5)*ones(16,1); 0];
  Node(n).rpar      = [(1/5)*ones(16,1); 0];
  
n=3;% 2755 G    <tSH (10)>  A 2727    %node3
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(10,3,1,0.011);
  Node(n).P         = ones(17,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [1*ones(16,1); 0];        %required stacked base (the insertion)
  Node(n).rpar      = [(1/4)*ones(16,1); 0];    %bulge

n=4;% 2757 A    <tHS (10)>  G 2725    %node4
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(10,1,3,0.013);
  Node(n).P         = ones(17,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [0.011*ones(16,1); 0];
  Node(n).rpar      = [0.01*ones(16,1); 0];

n=5;% 2758 G    <cWW (1) >  U 2724    %node5
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(1,3,4,0.011);
  Node(n).P         = ones(17,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [0.012*ones(16,1); 0];
  Node(n).rpar      = [0.012*ones(16,1); 0];
  
n=6;
  Node(n).type      = 'Hairpin';
  Node(n).subtype   = '....';
  Node(n).nextnode  = Inf;
  Node(n).P         = ones(17,1);
  Node(n).PIns      = 1;
  